Bug 432672 - .gtkrc-2.0 is being ignored
.gtkrc-2.0 is being ignored
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-13 13:43 EST by Mark
Modified: 2008-02-14 08:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-14 08:35:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark 2008-02-13 13:43:26 EST
Description of problem:
.gtkrc-2.0 is being ignored

Version-Release number of selected component (if applicable):
XFCE 4.4.2

How reproducible:
Add this to you .gtkrc-2.0: (should make text red by default on the panel and
works under gnome but not under xfce)

style "panel"
{
fg[NORMAL] = "#ff0000"
}
widget "*PanelWidget*" style "panel"
widget "*PanelApplet*" style "panel"
widget_class "*Applet*" style "panel"
class "*Panel*" style "panel"
widget_class "*Mail*" style "panel"
class "*notif*" style "panel"
class "*Notif*" style "panel"
class "*Tray*" style "panel"
class "*tray*" style "panel"

(just some sample code that i found on a mailing list somewhere)
  
Actual results:
Nothing changes

Expected results:
The text of anything on the panel should be red. It works fine under gnome with
gnome-panel but simply isn't working under xfce4-panel (perhaps under all xfce4
components?).
Comment 1 Kevin Fenzi 2008-02-13 22:06:53 EST
You might take a look at: 

http://wiki.xfce.org/tips#gtkrc_files

In particular I think you need: 

widget_class "*Panel*" style "panel"

Can you try adding that and see if it works?
Comment 2 Mark 2008-02-14 08:35:14 EST
hmm.. i tried something like it but that didn't seem to work. with widget_class
it WORKS!

Thanx for the help.
marking this bug as: "NOTABUG".

Mark.

Note You need to log in before you can comment on or make changes to this bug.